/*
 **************************************************************************
 *		SWI-Prolog ActiveX Extensions.
 *
 *	This software is provided in source and binary form free of charge to 
 *  users of SWI-Prolog.  No warranty of any kind is expressed or implied;
 *  in particular, this is entirely unsupported software.
 *
 *  Documentation for this product is available from the SWI-Prolog 
 *  web site (http://www.swi.psy.uva.nl/projects/SWI-Prolog/).
 *
 *	Version 1.0.1.
 *
 *	October 1, 1999
 *
 **************************************************************************
 */

//
//	olehelp.h: general OLE stuff
//

#pragma once

#include <wtypes.h>
#include <time.h>

extern bool OleDateFromTm (
	WORD wYear, WORD wMonth, WORD wDay,
	WORD wHour, WORD wMinute, WORD wSecond, DATE& dtDest);


extern bool TmFromOleDate(DATE dtSrc, struct tm& tmDest);
extern void TmConvertToStandardFormat(struct tm& tmSrc);
extern double DoubleFromDate(DATE dt);
extern DATE DateFromDouble(double dbl);
extern DATE DateNow ();

//  Convert an elapsed time in milliseconds into a time DATE span
double DoubleFromMilliseconds ( DWORD dwMs );

